FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Fl_Help_Dialog Class Reference

The Fl_Help_Dialog widget displays a standard help dialog window using the Fl_Help_View widget. More...

## Public Member Functions
| Fl_Help_Dialog ()
| The constructor creates the dialog pictured above. More...
int | h ()
| Returns the position and size of the help dialog. More...
void | hide ()
| Hides the Fl_Help_Dialog window. More...
void | load (const char *f)
| Loads the specified HTML file into the Fl_Help_View widget. More...
void | position (int xx, int yy)
| Set the screen position of the dialog. More...
void | resize (int xx, int yy, int ww, int hh)
| Change the position and size of the dialog. More...
void | show ()
| Shows the Fl_Help_Dialog window. More...
void | show (int argc, char **argv)
| Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show(int argc, char **argv) instance method.
void | textsize (Fl_Fontsize s)
| Sets or gets the default text size for the help view. More...
Fl_Fontsize | textsize ()
| Sets or gets the default text size for the help view. More...
void | topline (const char *n)
| Sets the top line in the Fl_Help_View widget to the named or numbered line.
void | topline (int n)
| Sets the top line in the Fl_Help_View widget to the named or numbered line.
void | value (const char *f)
| The first form sets the current buffer to the string provided and reformats the text. More...
const char * | value () const
| The first form sets the current buffer to the string provided and reformats the text. More...
int | visible ()
| Returns 1 if the Fl_Help_Dialog window is visible. More...
int | w ()
| Returns the position and size of the help dialog. More...
int | x ()
| Returns the position and size of the help dialog. More...
int | y ()
| Returns the position and size of the help dialog. More...
| ~Fl_Help_Dialog ()
| The destructor destroys the widget and frees all memory that has been allocated for the current file.

## Detailed Description

The Fl_Help_Dialog widget displays a standard help dialog window using the Fl_Help_View widget.

## Constructor & Destructor Documentation

Fl_Help_Dialog::Fl_Help_Dialog | ( |  | ) |

The constructor creates the dialog pictured above.

## Member Function Documentation

int Fl_Help_Dialog::h | ( |  | ) |

Returns the position and size of the help dialog.

void Fl_Help_Dialog::hide | ( |  | ) |

Hides the Fl_Help_Dialog window.

void Fl_Help_Dialog::load | ( | const char * | f | ) |

Loads the specified HTML file into the Fl_Help_View widget.

The filename can also contain a target name ("filename.html#target").

void Fl_Help_Dialog::position | ( | int | x,
|  | int | y
| ) |  |

Set the screen position of the dialog.

void Fl_Help_Dialog::resize | ( | int | xx,
|  | int | yy,
|  | int | ww,
|  | int | hh
| ) |  |

Change the position and size of the dialog.

void Fl_Help_Dialog::show | ( |  | ) |

Shows the Fl_Help_Dialog window.

Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show() method.

void Fl_Help_Dialog::textsize | ( | Fl_Fontsize | s | ) |

Sets or gets the default text size for the help view.

Sets the internal Fl_Help_View instance text size.

Delegates call to encapsulated view_ void Fl_Help_View::textsize(Fl_Fontsize s) instance method

uchar Fl_Help_Dialog::textsize | ( |  | ) |

Sets or gets the default text size for the help view.

void Fl_Help_Dialog::value | ( | const char * | v | ) |

The first form sets the current buffer to the string provided and reformats the text.

It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

const char * Fl_Help_Dialog::value | ( |  | ) | const

The first form sets the current buffer to the string provided and reformats the text.

It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

int Fl_Help_Dialog::visible | ( |  | ) |

Returns 1 if the Fl_Help_Dialog window is visible.

int Fl_Help_Dialog::w | ( |  | ) |

Returns the position and size of the help dialog.

int Fl_Help_Dialog::x | ( |  | ) |

Returns the position and size of the help dialog.

int Fl_Help_Dialog::y | ( |  | ) |

Returns the position and size of the help dialog.

The documentation for this class was generated from the following files:

- Fl_Help_Dialog.H
- Fl_Help_Dialog.cxx
- Fl_Help_Dialog_Dox.cxx

- © 1998-2014 by Bill Spitzak and others.